/*
 * X11 manipulation/display functions
 */

#ifndef XFUNCS_H
#define XFUNCS_H


#define WIN_WIDTH   300
#define WIN_HEIGHT  50
#define EVENTMASK KeyPressMask | ButtonPressMask
#define STOPKEY 'q'


extern char *geom;
extern char *fontname;
extern char *fgcolor;
extern char *bgcolor;
extern int   splash;


void init_x11();
void deinit_x11();
int display_window(int nbfiles);
void close_window();
void show_splashscreen();
void print_data(const char *data, int x, int *y);
void print_center(const char *data, int *y);
void print_left(const char *data, int y);
void display_datas(const char *filename, const char *dest, int n, int m);
void display_timeout(int max, int remain);
int ask_for_cancel(int max);

#endif
